Loading...
Searching...
No Matches
WGPUSharedTextureMemoryOpaqueFDDescriptor Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct | chain
void const * | vkImageCreateInfo
int | memoryFD
uint32_t | memoryTypeIndex
uint64_t | allocationSize
WGPUBool | dedicatedAllocation

## Detailed Description

Definition at line 1604 of file mini_webgpu.h.

## Member Data Documentation

## chain

WGPUChainedStruct WGPUSharedTextureMemoryOpaqueFDDescriptor::chain

Definition at line 1605 of file mini_webgpu.h.

## vkImageCreateInfo

void const* WGPUSharedTextureMemoryOpaqueFDDescriptor::vkImageCreateInfo

Definition at line 1606 of file mini_webgpu.h.

## memoryFD

int WGPUSharedTextureMemoryOpaqueFDDescriptor::memoryFD

Definition at line 1607 of file mini_webgpu.h.

## memoryTypeIndex

uint32_t WGPUSharedTextureMemoryOpaqueFDDescriptor::memoryTypeIndex

Definition at line 1608 of file mini_webgpu.h.

## allocationSize

uint64_t WGPUSharedTextureMemoryOpaqueFDDescriptor::allocationSize

Definition at line 1609 of file mini_webgpu.h.

## dedicatedAllocation

WGPUBool WGPUSharedTextureMemoryOpaqueFDDescriptor::dedicatedAllocation

Definition at line 1610 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h